if node.has_bundle('postfixadmin'):
    assert node.has_bundle('letsencrypt')

files = {
    '/etc/mailname': {
        'content': node.metadata.get('postfix', {}).get('myhostname', node.metadata['hostname']),
        'triggers': {
            'svc_systemd:postfix:restart',
        },
    },
    '/etc/aliases': {
        'content_type': 'mako',
        'triggers': {
            'action:postfix_newaliases',
        },
    },
    '/etc/postfix/master.cf': {
        'content_type': 'mako',
        'triggers': {
            'svc_systemd:postfix:restart',
        },
    },
    '/etc/postfix/main.cf': {
        'content_type': 'mako',
        'triggers': {
            'svc_systemd:postfix:restart',
        },
    },
    '/usr/local/share/icinga/plugins/check_postfix_queue': {
        'mode': '0755',
    },
}

actions = {
    'postfix_newaliases': {
        'command': 'newaliases',
        'triggered': True,
        'needs': {
            'pkg_apt:postfix',
        },
    },
}

svc_systemd = {
    'postfix': {
        'needs': {
            'file:/etc/postfix/master.cf',
            'file:/etc/postfix/main.cf',
            'pkg_apt:',
        },
    },
}
